Organization

The Organization API helps you acquire information from your organizations, and your client credentials.

circle-info

API SUBPATH: eva-organization

CRUD Methods

Find an organization by name

get
Path parameters
namestringRequired

A valid name of organization

Responses
chevron-right
200

Ok

*/*

Response when search for an organization

uuidstringOptional

Organization's id

namestringOptional

Organization's name

get
/organizations/{name}

Client Credentials Managing

Creates a new client credential in keycloack following the contract below

post
Path parameters
orgUUIDstringRequired

A valid uuid of organization

Body

DTO with client credentials data

clientIdstringRequired

Client id of client credential

namestringRequired

Name of client credential

descriptionstringOptional

Description of the client credential

Responses
chevron-right
200

Ok

*/*

DTO response for returning data from a credential client

idstringOptional

Id of client credential

namestringRequired

Client of client credential

clientIdstringRequired

Name of client credential

secretstringOptional

The secret generate

post
/org/{orgUUID}/client-credentials

Lists the client credentials created in the keycloak. When passing an optional clientId Query String, the client credential list will be filtered to match the provided clientId.

get
Path parameters
orgUUIDstringRequired

A valid uuid of organization

Query parameters
clientIdstringOptional

to fetch a particular client credential

Default: ""
Responses
chevron-right
200

Ok

*/*

DTO response for returning a client credential list

idstringOptional

Id of client credential

clientIdstringRequired

Client of client credential

namestringRequired

Name of client credential

descriptionstringRequired

Description of client credential

enabledbooleanRequired

Enable status of client credential

redirectUrisstring[]Optional

Redirect URIs of client

get
/org/{orgUUID}/client-credentials

Retrieves a client credential’s full data, matching the provided id by path parameter

get
Path parameters
orgUUIDstringRequired

A valid uuid of organization

idstringRequired

A valid id of client credentials

Responses
chevron-right
200

Ok

*/*

DTO response for returning a client credential list

idstringOptional

Id of client credential

clientIdstringRequired

Client of client credential

namestringRequired

Name of client credential

descriptionstringRequired

Description of client credential

enabledbooleanRequired

Enable status of client credential

redirectUrisstring[]Optional

Redirect URIs of client

get
/org/{orgUUID}/client-credentials/{id}

Generates a new secret for the provided client credentials, immediately revoking the previous secret key.

put
Path parameters
orgUUIDstringRequired

A valid uuid of organization

idstringRequired

A valid id of client credentials

Responses
chevron-right
200

Ok

*/*

DTO response for returning the regenerated secret

typestringOptional

Type of secret

valuestringOptional

The secret regenerate

put
/org/{orgUUID}/client-credentials/{id}/regenerate-secret

Immediately alternates whether a client credencial key is enabled or not. The current status can be acquired by the Details endpoint.

put
Path parameters
orgUUIDstringRequired

A valid uuid of organization

idstringRequired

A valid id of client credentials

Responses
chevron-right
200

Ok

No content

put
/org/{orgUUID}/client-credentials/{id}/enable-disable

No content

Last updated

Was this helpful?